import request from '@/utils/request'

// 查询cmc项目人员列表
export function listProjectWorker(query) {
  return request({
    url: '/oa/projectWorker/list',
    method: 'get',
    params: query
  })
}

// 查询cmc项目人员详细
export function getProjectWorker(id) {
  return request({
    url: '/oa/projectWorker/' + id,
    method: 'get'
  })
}

// 新增cmc项目人员
export function addProjectWorker(data) {
  return request({
    url: '/oa/projectWorker',
    method: 'post',
    data: data
  })
}

// 修改cmc项目人员
export function updateProjectWorker(data) {
  return request({
    url: '/oa/projectWorker',
    method: 'put',
    data: data
  })
}

// 删除cmc项目人员
export function delProjectWorker(id) {
  return request({
    url: '/oa/projectWorker/' + id,
    method: 'delete'
  })
}
